//DESCRIPTION: Importe Inhalte, die über die Seite hinauslaufen sollen auf Bund beschnitten werden, ausser die erste und letzte Seite
//copyright: SteigArt | Daniel Steiger
//Version: 1.0

#target InDesign

var _dok = app.activeDocument;

// Ein Dokument muss gestartet sein.
if(app.documents.length == 0){
        alert("Vor dem Start des Scripts muss zuerst ein Dokument vorhanden sein.");
    }
else{
        main();
    }


function main(){
    var _dok = app.activeDocument;
    var _allPages = _dok.pages;

    // Alle Seiten werden abgefragt
    for(var i = 0; i < _allPages.length; i++){

        //Seiten in Variable speichern
        var _pages = _allPages[i];

        // Seitenbreite in Variable speichern
        var _pagewidth = _pages.bounds[3];

        // Erstes Objekt auf der Seite in Variable speichern
        var _obj = _pages.rectangles[0];

        // Erste und letzte Seiten werden ausgeschlossen
        if(i !=0 && i != _allPages.length-1){

            // Wenn die Seite ungerade ist dann, sonst
            if(i %2 == 0){
                _obj.geometricBounds = [_obj.geometricBounds[0], _pages.bounds[1], _obj.geometricBounds[2], _obj.geometricBounds[3]];
            }
            else{
                _obj.geometricBounds = [_obj.geometricBounds[0], _obj.geometricBounds[1], _obj.geometricBounds[2], _pagewidth];
            }
        }
    }
}
